Unreleased documentation. These pages follow the main branch and can change before the next release. For supported guidance, use v0.26.1.
Database readiness
GET
/ready
const url = 'https://casework.example.test/ready';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://casework.example.test/readyParameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”traceparent
string
Optional W3C trace context continued in the response.
Responses
Section titled “Responses”Ready.
Headers
Section titled “Headers”traceparent
string
W3C trace context for the request and response.
Problem response: request.method-not-allowed
Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer
title
required
string
traceId
required
string
type
required
string format: uri
code
required
detail
required
status
required
title
required
type
required
Example
{ "code": "request.method-not-allowed", "detail": "This route does not accept that HTTP method.", "status": 405, "title": "Method not allowed", "type": "https://id.registrystack.org/problems/registry-casework/request/method-not-allowed"}Headers
Section titled “Headers”traceparent
string
W3C trace context for the request and response.
Problem response: request.body-too-large
Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer
title
required
string
traceId
required
string
type
required
string format: uri
code
required
detail
required
status
required
title
required
type
required
Example
{ "code": "request.body-too-large", "detail": "The request body exceeds the one MiB limit.", "status": 413, "title": "Request body too large", "type": "https://id.registrystack.org/problems/registry-casework/request/body-too-large"}Headers
Section titled “Headers”traceparent
string
W3C trace context for the request and response.
Problem response: service.unavailable
Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer
title
required
string
traceId
required
string
type
required
string format: uri
code
required
detail
required
status
required
title
required
type
required
Example
{ "code": "service.unavailable", "detail": "Casework storage is unavailable. Try again after the service recovers.", "status": 503, "title": "Casework service unavailable", "type": "https://id.registrystack.org/problems/registry-casework/service/unavailable"}Headers
Section titled “Headers”Retry-After
integer
Seconds before retrying the unavailable dependency.
traceparent
string
W3C trace context for the request and response.